/**
 * Title:        CoCompose
 * Copyright:    Copyright (c) 2002
 * Author:       Dennis Wagelaar
 * Organisation: University of Twente, Vrije Universiteit Brussel
 * Description:  CoCompose Design Language Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package EDU.utwente.CoCompose.util;

/**
 * Represents a logging object.
 *
 * @author Dennis Wagelaar
 * @version 0.0.15, 22 March 2002
 */

public interface Logger
{
  /**
   * Logs a message.
   *
   * @param message The message to log
   */
  public void log(String message);

  /**
   * Increases the log level for the next messages.
   */
  public void incLogLevel();

  /**
   * Decreases the log level for the next messages.
   */
  public void decLogLevel();
} //interface Logger
